From 02f9a4eca87d7713a8345b8513423d9d4a5127e0 Mon Sep 17 00:00:00 2001
From: Bernd Waibel <waebbl@gmail.com>
Date: Fri, 27 Nov 2020 18:49:09 +0100
Subject: [PATCH] change C++ standard to c++14

Signed-off-by: Bernd Waibel <waebbl@gmail.com>
---
 c++11.pri => c++std.pri | 21 ++++++++-------------
 common.pri              |  2 +-
 2 files changed, 9 insertions(+), 14 deletions(-)
 rename c++11.pri => c++std.pri (74%)

diff --git a/c++11.pri b/c++std.pri
similarity index 74%
rename from c++11.pri
rename to c++std.pri
index 0a2c3b6..aac656d 100644
--- a/c++11.pri
+++ b/c++std.pri
@@ -4,16 +4,16 @@ macx {
   dirs = $${BOOSTDIR} $${QMAKE_LIBDIR}
   for(dir, dirs) {
     system(otool -L $${dir}/libboost_thread*  | grep libc++ >& /dev/null ) {
-      message("Using libc++11")
+      message("Using libc++")
       CONFIG += libc++
     }
     else {
       message("Using libstdc++")
       CONFIG += libstdc++
-      c++11 {
-        # libc++ is a requirement for using C++11 
-        warning("Disabling C++11 since libstdc++ dependencies were found")
-        CONFIG -= c++11
+      c++std {
+        # libc++ is a requirement for using C++14 
+        warning("Disabling C++14 since libstdc++ dependencies were found")
+        CONFIG -= c++std
       }
     }
   }
@@ -25,9 +25,9 @@ macx {
   }
 }
 
-c++11 {
-  QMAKE_CXXFLAGS += -std=c++11
-  message("Using C++11")
+c++std {
+  QMAKE_CXXFLAGS += -std=c++14
+  message("Using C++14")
 
   *clang*: {
       # 3rd party libraries will probably violate this for a long time
@@ -41,8 +41,3 @@ c++11 {
     QMAKE_OBJECTIVE_CFLAGS_WARN_ON += $$CXX11_SUPPRESS_WARNINGS
   }
 }
-else {
-  *clang* {
-    QMAKE_CXXFLAGS_WARN_ON += -Wno-c++11-extensions
-  }
-}
diff --git a/common.pri b/common.pri
index 1110757..d1d5edc 100644
--- a/common.pri
+++ b/common.pri
@@ -30,4 +30,4 @@ include(win.pri)
 include(flex.pri)
 include(bison.pri)
 include(opengl.pri)
-include(c++11.pri)
+include(c++std.pri)
-- 
2.29.2

